/* Declarations for pgmake.
   Copyright (C) 1989, 1990, 1991, 1992, 1993 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef _PGMAKE_H
#define _PGMAKE_H 1


/***  Specify message types for beginning a new job or ending an old one
 ***  Specify message types for stdout/stderr messages
 ***  Specify message types for killing the process
 ***/

#define  PGMAKE_JOB_BEGIN  9397030
#define  PGMAKE_JOB_END    9397031
#define  PGMAKE_STDOUT     9397032
#define  PGMAKE_STDERR     9397033
#define  PGMAKE_KILL       9397034

#define  PGMAKE_SPAWN_RETRY_LIMIT  5

#endif /* _PGMAKE_H */
